package org.jeecg.modules.opencv.service;

import com.alibaba.fastjson.JSONObject;

import java.util.Map;

public interface IFfmpegService {
    void getM4aFromMp4(String videoPath, String m4apath);

    void cutM4a(String srcPath, String targetPath, String startSecond, String endSecond);

    void audioMosaic(String audioPart1, String audioPart2, String finalAudio);

    void mergeAudioAndVideo(String srcVideoPath, String srcAudioPath, String finalVideoPath);

    void mergeImageToVideo(String imagePath, Integer frameNumber, String videoFilePath);

    Map<String, Object> videoMerge(JSONObject data, String userId);

    void videoSplitToImage(String srcFilePath, String splitSrcPath);
}
